summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/mixedform
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/mixedform')
-rwxr-xr-xcontrib/dialog/samples/mixedform61
1 files changed, 61 insertions, 0 deletions
diff --git a/contrib/dialog/samples/mixedform b/contrib/dialog/samples/mixedform
new file mode 100755
index 0000000..6178476
--- /dev/null
+++ b/contrib/dialog/samples/mixedform
@@ -0,0 +1,61 @@
+#! /bin/sh
+# $Id: mixedform,v 1.6 2010/01/13 10:47:35 tom Exp $
+
+. ./setup-vars
+
+backtitle="An Example for the use of --mixedform:"
+returncode=0
+while test $returncode != 1 && test $returncode != 250
+do
+returncode=$?
+exec 3>&1
+value=`$DIALOG --title "Mixed form demonstration" --ok-label "Submit" \
+ --backtitle "$backtitle" \
+ --insecure "$@" \
+ --mixedform "Here is a possible piece of a configuration program." \
+20 50 0 \
+ "Username :" 1 1 "Kiran" 1 20 10 0 2 \
+ "Password :" 2 1 "" 2 20 8 0 1 \
+ "Retype Password :" 3 1 "" 3 20 8 0 1 \
+ "HOME :" 4 1 "Cisco" 4 20 40 0 0 \
+2>&1 1>&3`
+returncode=$?
+exec 3>&-
+show=`echo "$value" |sed -e 's/^/ /'`
+
+ case $returncode in
+ $DIALOG_CANCEL)
+ "$DIALOG" \
+ --clear \
+ --backtitle "$backtitle" \
+ --yesno "Really quit?" 10 30
+ case $? in
+ $DIALOG_OK)
+ break
+ ;;
+ $DIALOG_CANCEL)
+ returncode=99
+ ;;
+ esac
+ ;;
+ $DIALOG_OK)
+ "$DIALOG" \
+ --clear \
+ --backtitle "$backtitle" --no-collapse --cr-wrap \
+ --msgbox "Resulting data:\n\
+$show" 10 40
+ ;;
+ $DIALOG_HELP)
+ echo "Button 2 (Help) pressed."
+ exit
+ ;;
+ $DIALOG_EXTRA)
+ echo "Button 3 (Extra) pressed."
+ exit
+ ;;
+ *)
+ echo "Return code was $returncode"
+ exit
+ ;;
+ esac
+done
OpenPOWER on IntegriCloud